Bug 2278 - SWAT main page and missing documentation
SWAT main page and missing documentation
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: SWAT
3.0.11
All Linux
: P3 enhancement
: none
Assigned To: Lars Müller
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-26 03:39 UTC by Lars Müller
Modified: 2006-02-16 15:52 UTC (History)
0 users

See Also:


Attachments
Use stat() to check if we have Samba documentation (645 bytes, patch)
2005-01-26 03:41 UTC, Lars Müller
no flags Details
Page shown when samba-doc isn't installed. (124 bytes, text/plain)
2005-01-26 04:15 UTC, Lars Müller
no flags Details
Page shown when samba-doc isn't installed. (118 bytes, text/plain)
2005-01-26 08:28 UTC, Lars Müller
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Müller 2005-01-26 03:39:19 UTC
As the Samba documentation is part of an extra package SWAT might leak
documentation support as displayed by help/welcome.html.  Therefore I've added a
mechanism to the packages of samba and samba-doc to change the sym link where
help/welcome.html points to (welcome-swat.html if doc is installed or
welcome-no-samba-doc.html if not).

As I don't like this rpm post script stuff and as this lead to a problem with
one package version I suggest to add the decision which page is shown to web/swat.c.
Comment 1 Lars Müller 2005-01-26 03:41:09 UTC
Created attachment 916 [details]
Use stat() to check if we have Samba documentation
Comment 2 Lars Müller 2005-01-26 04:10:01 UTC
And this is already fixed in SAMBA_3. ;(
Comment 3 Lars Müller 2005-01-26 04:14:08 UTC
I'm wrong.  My local copy had some older chnages.
Comment 4 Lars Müller 2005-01-26 04:15:19 UTC
Created attachment 917 [details]
Page shown when samba-doc isn't installed.
Comment 5 Lars Müller 2005-01-26 08:28:49 UTC
Created attachment 918 [details]
Page shown when samba-doc isn't installed.

Adjusted by native speaker.
Comment 6 Gerald (Jerry) Carter 2005-02-07 07:34:58 UTC
originally reported against 3.0.11pre1.  Moving back to version to 3.0.10 
to remove preX and rcX versions.
Comment 7 Lars Müller 2005-02-08 10:01:27 UTC
It's still a valid patch for 3.0.11.  Changing version.
Comment 8 Lars Müller 2006-02-16 15:52:57 UTC
Last SuSE no-doc SWAT fix added with subversion revision 13383.

Default no-doc html page added with revision 13532.